﻿using Syncfusion.UI.Xaml.Controls.Input;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.IO;
using System.Linq;
using System.Threading.Tasks;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=234238

namespace App16
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        Model mod = new Model();
        public MainPage()
        {
            this.InitializeComponent();             
            this.DataContext = mod;
            mod.ItemsCollection.Add(new Items() { value = 1, label = "0" });
            mod.ItemsCollection.Add(new Items() { value = 2, label = "12" });
            mod.ItemsCollection.Add(new Items() { value = 3, label = "16" });
            mod.ItemsCollection.Add(new Items() { value = 4, label = "24" });
            mod.ItemsCollection.Add(new Items() { value = 5, label = "32" });
            mod.ItemsCollection.Add(new Items() { value = 6, label = "48" });
            mod.ItemsCollection.Add(new Items() { value = 7, label = "64" });
            mod.ItemsCollection.Add(new Items() { value = 8, label = "128" });
            mod.ItemsCollection.Add(new Items() { value = 9, label = "256" });
            mod.ItemsCollection.Add(new Items() { value = 10, label = "512" });

        }

        

        /// <summary>
        /// Invoked when this page is about to be displayed in a Frame.
        /// </summary>
        /// <param name="e">Event data that describes how this page was reached.  The Parameter
        /// property is typically used to configure the page.</param>
        protected override void OnNavigatedTo(NavigationEventArgs e)
        {
        }


        private void range_ValueChanged_1(object sender, RangeBaseValueChangedEventArgs e)
        {           
            if (mod.ItemsCollection.Count>0)
            {
                int NewValue = Convert.ToInt32(e.NewValue);
                if (NewValue !=0 )
                    txtblk.Text = mod.ItemsCollection[NewValue-1].label.ToString();               
            }
           

        }

      
    }

    public class Model : INotifyPropertyChanged
    {
       public event PropertyChangedEventHandler PropertyChanged;

        private ObservableCollection<Items> itemsCollection = new ObservableCollection<Items>();

        public ObservableCollection<Items> ItemsCollection
        {
            get { return itemsCollection; }
            set
            {
                itemsCollection = value;
                OnPropertyChanged("ItemsCollection");
            }
        }    
        

       

        // Create the OnPropertyChanged method to raise the event 
        protected void OnPropertyChanged(string name)
        {
            PropertyChangedEventHandler handler = PropertyChanged;
            if (handler != null)
            {
                handler(this, new PropertyChangedEventArgs(name));
            }
        }

        
    }
}
